Name:		qubes-vm-meta-packages
Version:	4.0.5
Release:	1%{?dist}
Summary:	Meta packages for Qubes-specific components
BuildArch:  noarch

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.qubes-os.org/

Source0: %{name}-%{version}.tar.gz

%package -n qubes-vm-dependencies
Summary:    Meta package with packages required in Qubes VM
Requires:   qubes-core-agent
Requires:   qubes-core-agent-systemd
Requires:   qubes-gui-agent
Requires:   xen-qubes-vm

%description -n qubes-vm-dependencies
This package depends on packages required to be installed in Qubes VM.

%package -n qubes-vm-recommended
Summary:    Meta package with packages recommended in Qubes VM
Requires:   mate-notification-daemon
Requires:   pulseaudio-qubes
Requires:   qubes-core-agent-dom0-updates
Requires:   qubes-core-agent-nautilus
Requires:   qubes-core-agent-network-manager
Requires:   qubes-core-agent-networking
Requires:   qubes-core-agent-passwordless-root
Requires:   qubes-gpg-split
Requires:   qubes-img-converter
Requires:   python2-qubesimgconverter
Requires:   qubes-input-proxy-sender
Requires:   qubes-mgmt-salt-vm-connector
Requires:   qubes-pdf-converter
Requires:   qubes-usb-proxy
Requires:   thunderbird-qubes

%description -n qubes-vm-recommended
Installing this package is recommended to have full functionality available in
Qubes VM.

%description
Meta packages for easy maintenance of installed Qubes OS specific packages.

%package -n qubes-repo-contrib
Summary: Repository definition for packages contributed to Qubes OS

%description -n qubes-repo-contrib
Contrib repository contains packages written/adopted specifically for Qubes,
not available in upstream repositories.

%prep
%setup -q

%build

%install
make -C repos install-vm-fedora DESTDIR=$RPM_BUILD_ROOT

%files -n qubes-repo-contrib
%config(noreplace) /etc/yum.repos.d/qubes-contrib-vm-r4.0.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.0-contrib
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib

%files -n qubes-vm-dependencies

%files -n qubes-vm-recommended

%changelog
* Tue Feb 19 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-meta-packages

* Tue Feb 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9907763
- version 4.0.5

* Sun Dec 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1c7df37
- debian: use gpg --dearmor instead of gpg --import

* Sun Dec 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83e1cf0
- debian: add Build-Depends: gnupg

* Wed Oct 24 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78d8065
- version 4.0.4

* Sat Sep 22 2018 unman <unman@thirdeyesecurity.org> - 5b2319d
- Provide basic Build-depends for Debian build of meta-packages

* Thu Sep 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63c219d
- version 4.0.3

* Sun Sep 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 045f59b
- Merge remote-tracking branch 'qubesos/pr/2'

* Wed Aug 29 2018 unman <unman@thirdeyesecurity.org> - 48d2edb
- Include qubes-usb-proxy within qubes-recommended

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b4c2f5
- version 4.0.2

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b60b645
- travis: update fedora versions

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - a869367
- spec.in: add changelog placeholder

* Sun Mar 18 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 16d5707
- Create .spec.in and Source0

* Thu Jan 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed966bb
- version 4.0.1

* Tue Jan 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c3036f
- Add python2-qubesimgconverter for qubes-img-converter

* Sat Jun 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4600cca
- version 4.0.0

* Sat Jun 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8b985ab
- Install qubes-core-agent-passwordless-root by default in full template

* Wed May 31 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd03765
- Switch contrib repository definitions to Qubes 4.0

* Wed May 31 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aa9aa78
- rpm: actually build meta packages

* Wed May 31 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb85464
- Add more required/recommended packages

* Tue May 30 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d9ba066
- travis: adjust for Qubes 4.0

* Tue May 30 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3d5b0aa
- Adjust for package split in Qubes 4.0

* Tue May 30 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 830b909
- Initial implementation of meta-packages

